CHGRP(1)

NOM
chgrp - Changer le groupe propriétaire d'un fichier

SYNOPSIS
chgrp [OPTION] ... GROUPE FICHIER ...
chgrp [OPTION] ... --reference=FICHIER-R FICHIER...

DESCRIPTION

Changer le groupe d'appartenance de chaque FICHIER en GROUPE. Avec l'option --reference, modifier le groupe de chaque fichier en celui de FICHIER-R.

-c, --changes
    utiliser le mode bavard en ne signalant que les modifications

-f, --silent, --quiet
    supprimer la plupart des messages d'erreur

-v, --verbose
    afficher un diagnostic pour chaque fichier traité

--dereference
    affecter la cible de chaque lien symbolique (comportement par défaut) plutôt que le lien symbolique lui-même

-h, --no-dereference
    modifier les liens symboliques au lieu des fichiers référencés (utile seulement sur les systèmes permettant de changer le propriétaire d'un lien symbolique)

--no-preserve-root
    ne pas traiter « / » de manière spéciale (par défaut)

--preserve-root
    ne pas opérer récursivement sur « / »

--reference=FICHIER-R
    utiliser le groupe du FICHIER-R plutôt que d'indiquer le nom du groupe

-R, --recursive
    modifier récursivement fichiers et répertoires

Les options suivantes modifient la façon dont est parcourue la hiérarchie lorsque l'option -R est également spécifiée. Si plus d'une option est spécifiée, seule la dernière est prise en compte.

-H  si un paramètre de la ligne de commande est un lien symbolique vers un répertoire, le parcourir

-L  parcourir chaque lien symbolique rencontré menant à un répertoire

-P  ne parcourir aucun lien symbolique (par défaut)

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

EXEMPLES

chgrp staff /u
    attribue /u au groupe « staff ».

chgrp -hR staff /u
    attribue /u et ses sous-fichiers et sous-répertoires au groupe « staff ».

AUTEUR
Écrit par David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
chown(1), chown(2)

Documentation complète : <https://www.gnu.org/software/coreutils/chgrp>
aussi disponible localement à l’aide de la commande : info '(coreutils) chgrp invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Julien Cristau <jcristau@debian.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.